<?php

/*
 * This file is part of the ActiveCollab project.
 *
 * (c) A51 doo <info@activecollab.com>. All rights reserved.
 */

declare(strict_types=1);

use ActiveCollab\Module\System\Model\FeaturePointer\ChatFeaturePointer;
use ActiveCollab\Module\System\Model\FeaturePointer\LiveSupportFeaturePointer;

class MigrateAddChatFeaturePointer extends AngieModelMigration
{
    public function up()
    {
        $this->execute(
            'INSERT INTO feature_pointers (type, parent_id, created_on) VALUES (?, ?, ?)',
            ChatFeaturePointer::class,
            null,
            new DateTimeValue()
        );
        $this->execute(
            'INSERT INTO feature_pointers (type, parent_id, created_on) VALUES (?, ?, ?)',
            LiveSupportFeaturePointer::class,
            null,
            new DateTimeValue()
        );
    }
}
